Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Portage] Conflit entre «mDNSResponder » et «avahi »....
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
zoltix
Apprentice
Apprentice


Joined: 22 Mar 2004
Posts: 249
Location: Brusssels

PostPosted: Mon Jan 07, 2008 9:14 am    Post subject: [Portage] Conflit entre «mDNSResponder » et «avahi ».... Reply with quote

Bonjour,
J’ai un conflit de portage entre «mDNSResponder » et «avahi », j’ai trouvé que "mDNSResponder " est neccessaire a "kdelib" .
Alors je ne sais pas trop ce que je peux faire pour éviter casser kde.
Que me conseillez-vous ?

Voici mon log :
Code:

emerge --update --deep –world --newuse

freeman ~ # emerge --update --deep --world
Calculating world dependencies... done!

!!! Error: the net-dns/avahi package conflicts with another package;
!!!        the two packages cannot be installed on the same system together.
!!!        Please use 'emerge --pretend' to determine blockers.

Calculating dependencies... done!

Dependencies could not be completely resolved due to
the following required packages not being installed:


Code:

freeman ~ # emerge --depclean

*** WARNING ***  Depclean may break link level dependencies.  Thus, it is
*** WARNING ***  recommended to use a tool such as `revdep-rebuild` (from
*** WARNING ***  app-portage/gentoolkit) in order to detect such breakage.
*** WARNING ***
*** WARNING ***  Also study the list of packages to be cleaned for any obvious
*** WARNING ***  mistakes. Packages that are part of the world set will always
*** WARNING ***  be kept.  They can be manually added to this set with
*** WARNING ***  `emerge --noreplace <atom>`.  Packages that are listed in
*** WARNING ***  package.provided (see portage(5)) will be removed by
*** WARNING ***  depclean, even if they are part of the world set.
*** WARNING ***
*** WARNING ***  As a safety measure, depclean will not remove any packages
*** WARNING ***  unless *all* required dependencies have been resolved.  As a
*** WARNING ***  consequence, it is often necessary to run
*** WARNING ***  `emerge --update --newuse --deep world` prior to depclean.

Calculating dependencies... done!

Dependencies could not be completely resolved due to
the following required packages not being installed:

net-misc/mDNSResponder required by kde-base/kdelibs-3.5.7-r3

Have you forgotten to run `emerge --update --newuse --deep world` prior to
depclean?  It may be necessary to manually uninstall packages that no longer
exist in the portage tree since it may not be possible to satisfy their
dependencies.  Also, be aware of the --with-bdeps option that is documented
in `man emerge`.

 * GNU info directory index is up-to-date.
 * IMPORTANT: 6 config files in '/etc' need updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.
freeman ~ #



Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7896
Location: ~Brussels - Belgique

PostPosted: Mon Jan 07, 2008 11:30 am    Post subject: Reply with quote

la sortie de
emerge --deep --update --newuse --pretend --verbose world

(ou en résumé emerge -DuNpv world)

:?:
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
zoltix
Apprentice
Apprentice


Joined: 22 Mar 2004
Posts: 249
Location: Brusssels

PostPosted: Mon Jan 07, 2008 11:43 am    Post subject: Reply with quote

Mais je pense que je suis sur une solution
dans /etc/make.conf j'ai rajouté dans les "USE" "-zeroconf (avhi déjà présent)
puis j'ai

Code:

$ emerge -C avahi
$ USE="-avahi" emerge -1 kdelibs
$ emerge -C mDNSResponder
$ emerge avahi kdelibs


je suis entrain d'attendre le résultat .....

Suis je sur la bonne voix?


Code:

Calculating world dependencies... done!
[ebuild   R   ] sys-devel/gettext-0.17  USE="acl%* nls openmp%* -doc -emacs -nocxx" 0 kB
[ebuild     U ] net-libs/gnutls-2.0.4 [1.4.4-r1] USE="nls zlib -doc -guile% -lzo%" 4,797 kB
[ebuild     U ] dev-libs/libcdio-0.78.2-r3 [0.78.2-r2] USE="nls -cddb -minimal -nocxx" 0 kB
[ebuild     U ] media-video/transcode-1.0.4 [1.0.3] USE="3dnow X iconv jpeg mmx sse truetype xml -a52 (-altivec) -dv -dvdread -extrafilters -fame -imagemagick -lzo -mjpeg -mp3 -mpeg -network -ogg -oss% -quicktime -sdl -sse2 -theora -v4l2 -vorbis -xvid (-gtk%*)" 1,944 kB
[ebuild     U ] media-libs/lcms-1.17 [1.15] USE="jpeg python zlib -tiff" 878 kB
[ebuild     U ] media-video/mplayer-1.0_rc2_p24929-r1 [1.0_rc2] USE="3dnow 3dnowext X alsa dvb gif gtk iconv ipv6 jpeg mad mmx opengl png rtc samba sse svga truetype unicode xv xvmc -a52 -aac -aalib (-altivec) -amrnb -amrwb -arts -bidi -bindist -bl -cddb -cdio -cdparanoia -cpudetection -custom-cflags -debug -dga -directfb -doc -dts -dv -dvd -enca -encode -esd -fbcon -ftp -ggi -jack -joystick -ladspa% -libcaca -lirc -live -livecd -lzo -md5sum -mmxext -mp2 -mp3 -musepack -nas -nemesi -openal -oss -pnm -pulseaudio% -quicktime -radio -rar -real -sdl -speex -srt -sse2 -ssse3 -teletext -tga -theora -tivo -v4l -v4l2 -vidix -vorbis -win32codecs -x264 -xanim -xinerama -xvid -zoran (-ivtv%) (-lame%) (-pvr%)" VIDEO_CARDS="mga s3virge tdfx vesa" 7,647 kB
[ebuild   R   ] kde-base/kdelibs-3.5.7-r3  USE="acl alsa avahi* cups spell -arts -bindist -branding -debug -doc -fam -jpeg2k -kdeenablefinal -kdehiddenvisibility -kerberos -legacyssl -lua -openexr -tiff -utempter -xinerama" 0 kB
[ebuild  N    ] kde-misc/kdnssd-avahi-0.1.2  USE="-arts -debug -xinerama" 739 kB

Total: 8 packages (5 upgrades, 1 new, 2 reinstalls), Size of downloads: 16,003 kB

Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7896
Location: ~Brussels - Belgique

PostPosted: Mon Jan 07, 2008 1:30 pm    Post subject: Reply with quote

plus de blocage, apparemment ;)
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
zoltix
Apprentice
Apprentice


Joined: 22 Mar 2004
Posts: 249
Location: Brusssels

PostPosted: Mon Jan 07, 2008 2:25 pm    Post subject: Reply with quote

Mais non ca marche toujours pas, mais je cherche ..............si tu as des conseilles n'hésite pas .... et de plus je n'arrive plus a compiler kdelibs.


Code:

freeman ~ # emerge --update --deep --world --newuse --pretend

These are the packages that would be merged, in order:

Calculating world dependencies... done!
[ebuild   R   ] kde-base/kdelibs-3.5.7-r3  USE="avahi* utempter*"
[ebuild  N    ] kde-misc/kdnssd-avahi-0.1.2  USE="-arts -d
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7896
Location: ~Brussels - Belgique

PostPosted: Mon Jan 07, 2008 3:13 pm    Post subject: Reply with quote

c'est tout ce que dit emerge ? tu ne tronques rien ?
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
zoltix
Apprentice
Apprentice


Joined: 22 Mar 2004
Posts: 249
Location: Brusssels

PostPosted: Tue Jan 08, 2008 11:01 am    Post subject: Reply with quote

Bref pour en finir j'ai enlevé KDE car je préféré gnome.... et plus de soucis.....
Mais j'ai un gros soucis sur ma machine de test.........A suivre dans un nouveau post....
A+ et encore merci
Back to top
View user's profile Send private message
zoltix
Apprentice
Apprentice


Joined: 22 Mar 2004
Posts: 249
Location: Brusssels

PostPosted: Tue Jan 08, 2008 11:05 am    Post subject: Reply with quote

Bonjour,
j’ai fait la mise a jour de ma gentoo , et je pense avoir fait une grosse bêtise, j’ai fait un etc-update et j’ai perdu le contrôle de mes doigt et j’ai sans doute modifié une config qui ne fallait pas….
Et puis lors de redémarrage, le Kernel fonctionne bien puis il commence a faire plein de messages dans la partie des config(Quand il dit OK) et badaboumm pour ca plante…

Lorsque je démarre avec le live cd et que je

Code:

swapon /dev/hda2
 mount -t ext3 /dev/hda3 /mnt/gentoo
 mount  /dev/hda1 /mnt/gentoo/boot
mount -t  proc none /mnt/gentoo/proc

chroot /mnt/gentoo /bin/bash

env-update
source /etc/profile

emerge –sync

Ca marche bien, pas d’erreur et même je peux faire un « emerge –update …» et mes autres appli fonctionne bien.
Alors J'ai pensé que c’était fstab, mais il me semble bon…..
Pourriez vous m’aider a trouver mon soucis?


A+
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7896
Location: ~Brussels - Belgique

PostPosted: Tue Jan 08, 2008 11:59 am    Post subject: Reply with quote

ouvre un nouveau sujet steplé ;)
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
USTruck
Guru
Guru


Joined: 21 Aug 2005
Posts: 423
Location: La Louviere (Belgique)

PostPosted: Wed Jan 09, 2008 8:27 pm    Post subject: Reply with quote

zoltix wrote:
Bref pour en finir j'ai enlevé KDE car je préféré gnome.... et plus de soucis.....
Mais j'ai un gros soucis sur ma machine de test.........A suivre dans un nouveau post....
A+ et encore merci


Bonsoir,

Vérifie ton make.conf, tu dois certainement y avoir mdns ET avahi, a vérifier par emerge --info car dépend aussi du profil (lien /etc/make.profile)

Enlever l'un ou l'autre, enlever du make.conf ou ajouter -xxxx (celui que tu ne désires pas)

A+
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum